Bug 1146097 - VUL-0: CVE-2019-9517: nodejs4,nodejs6,nodejs8,nodejs10,nodejs: HTTP/2 implementations are vulnerable to unconstrained interal data buffering
VUL-0: CVE-2019-9517: nodejs4,nodejs6,nodejs8,nodejs10,nodejs: HTTP/2 impleme...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/239519/
CVSSv2:NVD:CVE-2019-9517:7.8:(AV:N/AC...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-19 08:31 UTC by Robert Frohl
Modified: 2021-09-03 18:36 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2019-08-19 08:31:16 UTC
+++ This bug was initially created as a clone of Bug #1145575 +++

CVE-2019-9517

Some HTTP/2 implementations are vulnerable to unconstrained interal data
buffering, potentially leading to a denial of service. The attacker opens the
HTTP/2 window so the peer can send without constraint; however, they leave the
TCP window closed so the peer cannot actually write (many of) the bytes on the
wire. The attacker then sends a stream of requests for a large response object.
Depending on how the servers queue the responses, this can consume excess
memory, CPU, or both.

References:
https://nodejs.org/en/blog/vulnerability/aug-2019-security-releases/
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-9517
http://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-9517.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-9517
http://www.cvedetails.com/cve/CVE-2019-9517/
https://kb.cert.org/vuls/id/605641/
https://github.com/Netflix/security-bulletins/blob/master/advisories/third-party/2019-002.md
Comment 1 Adam Majer 2019-08-19 12:23:09 UTC
Fixes submitted for nodejs8 and nodejs10. Previous versions of nodejs are unaffected because no HTTP/2 support. nodejs4 is also out of support as of end of July.

Reassigning to security-team for tracking purposes.
Comment 3 Swamp Workflow Management 2019-08-29 22:12:44 UTC
SUSE-SU-2019:2254-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1146090,1146091,1146093,1146094,1146095,1146097,1146099,1146100
CVE References: CVE-2019-9511,CVE-2019-9512,CVE-2019-9513,CVE-2019-9514,CVE-2019-9515,CVE-2019-9516,CVE-2019-9517,CVE-2019-9518
Sources used:
SUSE Linux Enterprise Module for Web Scripting 12 (src):    nodejs10-10.16.3-1.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2019-09-02 10:13:45 UTC
SUSE-SU-2019:2260-1: An update that solves 8 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1144919,1146090,1146091,1146093,1146094,1146095,1146097,1146099,1146100
CVE References: CVE-2019-9511,CVE-2019-9512,CVE-2019-9513,CVE-2019-9514,CVE-2019-9515,CVE-2019-9516,CVE-2019-9517,CVE-2019-9518
Sources used:
SUSE Linux Enterprise Module for Web Scripting 15-SP1 (src):    nodejs8-8.16.1-3.20.1
SUSE Linux Enterprise Module for Web Scripting 15 (src):    nodejs8-8.16.1-3.20.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2019-09-02 10:16:43 UTC
SUSE-SU-2019:2259-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1146090,1146091,1146093,1146094,1146095,1146097,1146099,1146100
CVE References: CVE-2019-9511,CVE-2019-9512,CVE-2019-9513,CVE-2019-9514,CVE-2019-9515,CVE-2019-9516,CVE-2019-9517,CVE-2019-9518
Sources used:
SUSE Linux Enterprise Module for Web Scripting 15-SP1 (src):    nodejs10-10.16.3-1.12.1
SUSE Linux Enterprise Module for Web Scripting 15 (src):    nodejs10-10.16.3-1.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-09-10 22:11:57 UTC
openSUSE-SU-2019:2115-1: An update that solves 8 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1144919,1146090,1146091,1146093,1146094,1146095,1146097,1146099,1146100
CVE References: CVE-2019-9511,CVE-2019-9512,CVE-2019-9513,CVE-2019-9514,CVE-2019-9515,CVE-2019-9516,CVE-2019-9517,CVE-2019-9518
Sources used:
openSUSE Leap 15.1 (src):    nodejs8-8.16.1-lp151.2.6.1
openSUSE Leap 15.0 (src):    nodejs8-8.16.1-lp150.2.19.1
Comment 7 Swamp Workflow Management 2019-09-10 22:14:05 UTC
openSUSE-SU-2019:2114-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1146090,1146091,1146093,1146094,1146095,1146097,1146099,1146100
CVE References: CVE-2019-9511,CVE-2019-9512,CVE-2019-9513,CVE-2019-9514,CVE-2019-9515,CVE-2019-9516,CVE-2019-9517,CVE-2019-9518
Sources used:
openSUSE Leap 15.1 (src):    nodejs10-10.16.3-lp151.2.6.1
openSUSE Leap 15.0 (src):    nodejs10-10.16.3-lp150.5.1
Comment 11 Swamp Workflow Management 2019-12-11 20:29:20 UTC
SUSE-SU-2019:14246-1: An update that fixes 118 vulnerabilities is now available.

Category: security (important)
Bug References: 1000036,1001652,1025108,1029377,1029902,1040164,104105,1042670,1043008,1044946,1047925,1047936,1048299,1049186,1050653,1056058,1058013,1066242,1066953,1070738,1070853,1072320,1072322,1073796,1073798,1073799,1073803,1073808,1073818,1073823,1073829,1073830,1073832,1073846,1074235,1077230,1079761,1081750,1082318,1087453,1087459,1087463,1088573,1091764,1094814,1097158,1097375,1097401,1097404,1097748,1104841,1105019,1107030,1109465,1117473,1117626,1117627,1117629,1117630,1120644,1122191,1123482,1124525,1127532,1129346,1130694,1130840,1133452,1133810,1134209,1138459,1140290,1140868,1141853,1144919,1145665,1146090,1146091,1146093,1146094,1146095,1146097,1146099,1146100,1149323,1153423,1154738,1447070,1447409,744625,744629,845955,865853,905528,917607,935856,937414,947747,948045,948602,955142,957814,957815,961254,962297,966076,966077,985201,986541,991344,998743
CVE References: CVE-2013-2882,CVE-2013-6639,CVE-2013-6640,CVE-2013-6668,CVE-2014-0224,CVE-2015-3193,CVE-2015-3194,CVE-2015-5380,CVE-2015-7384,CVE-2016-2086,CVE-2016-2178,CVE-2016-2183,CVE-2016-2216,CVE-2016-5172,CVE-2016-5325,CVE-2016-6304,CVE-2016-6306,CVE-2016-7052,CVE-2016-7099,CVE-2017-1000381,CVE-2017-10686,CVE-2017-11111,CVE-2017-11499,CVE-2017-14228,CVE-2017-14849,CVE-2017-14919,CVE-2017-15896,CVE-2017-15897,CVE-2017-17810,CVE-2017-17811,CVE-2017-17812,CVE-2017-17813,CVE-2017-17814,CVE-2017-17815,CVE-2017-17816,CVE-2017-17817,CVE-2017-17818,CVE-2017-17819,CVE-2017-17820,CVE-2017-18207,CVE-2017-3735,CVE-2017-3736,CVE-2017-3738,CVE-2018-0732,CVE-2018-1000168,CVE-2018-12115,CVE-2018-12116,CVE-2018-12121,CVE-2018-12122,CVE-2018-12123,CVE-2018-20406,CVE-2018-20852,CVE-2018-7158,CVE-2018-7159,CVE-2018-7160,CVE-2018-7161,CVE-2018-7167,CVE-2019-10160,CVE-2019-11709,CVE-2019-11710,CVE-2019-11711,CVE-2019-11712,CVE-2019-11713,CVE-2019-11714,CVE-2019-11715,CVE-2019-11716,CVE-2019-11717,CVE-2019-11718,CVE-2019-11719,CVE-2019-11720,CVE-2019-11721,CVE-2019-11723,CVE-2019-11724,CVE-2019-11725,CVE-2019-11727,CVE-2019-11728,CVE-2019-11729,CVE-2019-11730,CVE-2019-11733,CVE-2019-11735,CVE-2019-11736,CVE-2019-11738,CVE-2019-11740,CVE-2019-11742,CVE-2019-11743,CVE-2019-11744,CVE-2019-11746,CVE-2019-11747,CVE-2019-11748,CVE-2019-11749,CVE-2019-11750,CVE-2019-11751,CVE-2019-11752,CVE-2019-11753,CVE-2019-11757,CVE-2019-11758,CVE-2019-11759,CVE-2019-11760,CVE-2019-11761,CVE-2019-11762,CVE-2019-11763,CVE-2019-11764,CVE-2019-13173,CVE-2019-15903,CVE-2019-5010,CVE-2019-5737,CVE-2019-9511,CVE-2019-9512,CVE-2019-9513,CVE-2019-9514,CVE-2019-9515,CVE-2019-9516,CVE-2019-9517,CVE-2019-9518,CVE-2019-9636,CVE-2019-9811,CVE-2019-9812,CVE-2019-9947
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    MozillaFirefox-68.2.0-78.51.4, MozillaFirefox-branding-SLED-68-21.9.8, firefox-atk-2.26.1-2.8.4, firefox-cairo-1.15.10-2.13.4, firefox-gcc5-5.3.1+r233831-14.1, firefox-gcc8-8.2.1+r264010-2.5.1, firefox-gdk-pixbuf-2.36.11-2.8.4, firefox-glib2-2.54.3-2.14.7, firefox-gtk3-3.10.9-2.15.3, firefox-harfbuzz-1.7.5-2.7.4, firefox-libffi-3.2.1.git259-2.3.3, firefox-libffi-gcc5-5.3.1+r233831-14.1, firefox-pango-1.40.14-2.7.4, mozilla-nspr-4.21-29.6.1, mozilla-nss-3.45-38.9.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2020-01-09 17:12:03 UTC
SUSE-SU-2020:0059-1: An update that solves 9 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1140290,1146090,1146091,1146093,1146094,1146095,1146097,1146099,1146100,1149792
CVE References: CVE-2019-13173,CVE-2019-9511,CVE-2019-9512,CVE-2019-9513,CVE-2019-9514,CVE-2019-9515,CVE-2019-9516,CVE-2019-9517,CVE-2019-9518
Sources used:
SUSE Linux Enterprise Module for Web Scripting 12 (src):    nodejs12-12.13.0-1.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Marcus Meissner 2020-04-17 15:53:24 UTC
released